com.singularsys.jepexamples.diagnostics

## Class SpeedTest.RatioOutputter

- java.lang.Object
- - com.singularsys.jepexamples.diagnostics.SpeedTest.Outputter
  - - com.singularsys.jepexamples.diagnostics.SpeedTest.RatioOutputter

- Enclosing class:
    SpeedTest

      public static class SpeedTest.RatioOutputter
      extends SpeedTest.Outputter

  Print detailed ratios for each run.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RatioOutputter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printFooter(SpeedTest st, long[] totalTimes)`
    `void` | `printOutputTimes(SpeedTest st, java.lang.String[] eqns, java.lang.String[] varNames, long[] times)`
    `void` | `printOutputTimes(SpeedTest st, java.lang.String eqn, java.lang.String[] varNames, long[] times)`

    - ### Methods inherited from class com.singularsys.jepexamples.diagnostics.SpeedTest.Outputter

      `printHeader, printOutputHeader, printOutputHeader, printRatios`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RatioOutputter

          public RatioOutputter()

  - ### Method Detail

    - #### printOutputTimes

          public void printOutputTimes(SpeedTest st,
                                       java.lang.String eqn,
                                       java.lang.String[] varNames,
                                       long[] times)

      Overrides:
        `printOutputTimes` in class `SpeedTest.Outputter`

    - #### printOutputTimes

          public void printOutputTimes(SpeedTest st,
                                       java.lang.String[] eqns,
                                       java.lang.String[] varNames,
                                       long[] times)

      Overrides:
        `printOutputTimes` in class `SpeedTest.Outputter`

    - #### printFooter

          public void printFooter(SpeedTest st,
                                  long[] totalTimes)

      Overrides:
        `printFooter` in class `SpeedTest.Outputter`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep